%define cvsdate 20070828

Summary:	Tools for managing sets of IP or ports with iptables
Name:		ipset
Version:	2.3.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://ipset.netfilter.org/
Source0:	http://ipset.netfilter.org/%{name}-%{version}-%{cvsdate}.tar.bz2
Source1:	%{name}-kernel-headers.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{release}-%{cvsdate}-buildroot

%description
IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel,
which can be administered by the ipset utility.
Depending on the type, currently an IP set may store IP addresses,
(TCP/UDP) port numbers or IP addresses with MAC addresses in a way,
which ensures lightning speed when matching an entry against a set.

ipset may be the proper tool for you, if you want to
 * store multiple IP addresses or port numbers and match against the
   collection by iptables at one swoop;
 * dynamically update iptables rules against IP addresses or ports
   without performance penalty;
 * express complex IP address and ports based rulesets with one single
   iptables rule and benefit from the speed of IP sets 

%prep
%setup -q -a 1

%build
export CFLAGS="%{optflags}"

%make all KERNEL_DIR=$PWD/linux-2.6 PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
%makeinstall_std PREFIX=%{_prefix} MANDIR=%{_mandir} LIBDIR=%{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.ippool
%defattr(-,root,root,0755)
%{_sbindir}/*
%{_libdir}/%{name}/*
%{_mandir}/man8/*.8*


%changelog
* Thu Jan 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-2mdv2008.1
+ Revision: 157612
- spec file clean
- update to latest version
- update kernel headers
- compile with optflags
- spec file clean

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.9a-2mdv2008.1
+ Revision: 150301
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.com> 2.2.9a-1mdv2008.0
+ Revision: 51737
- new release 2.2.9a
- Import ipset



* Fri Aug  4 2006 Samir Bellabes <sbellabes@n4.mandriva.com> 2.2.9-1mdv2007.0
- new release.
- use mkrel tag
- include kernel headers in the package.

* Wed Aug 31 2005 Couriousous <couriousous@mandriva.org> 2.2.2-4mdk
- Fix plugin loading on x86_64

* Wed Aug 10 2005 Samir Bellabes <sbellabes@mandriva.com> 2.2.2-3mdk
- Fix missing PREFIX

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 2.2.2-2mdk
- fix libdir on x86_64

* Fri Jul 29 2005 Samir Bellabes <sbellabes@mandriva.com> 2.2.2-1mdk
- first release
